#
# spec file for package flcluster
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           flcluster
Version:        1.0.7
Release:        lp152.1.1
Summary:        Tool for accessing dxcluster nodes
License:        GPL-2.0-only
Group:          Productivity/Hamradio/Other
URL:            https://sourceforge.net/projects/fldigi/
#Git-Clone:     https://git.code.sf.net/p/fldigi/flcluster
Source:         https://nloads.sourceforge.net/project/fldigi/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  fltk-devel
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(flxmlrpc)
%if 0%{?suse_version} < 1325
BuildRequires:  libjpeg-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(libpng)
%endif
Requires(post): update-desktop-files
Requires(postun): update-desktop-files

%description
FLCLUSTER is a management tool for accessing dxcluster nodes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%suse_update_desktop_file -i flcluster

%check
make %{?_smp_mflags} check

%if 0%{?suse_version} < 1325
%post
%desktop_database_post

%postun
%desktop_database_postun
%endif

%files
%license COPYING
%doc ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Sun Nov 21 2021 Wojciech Kazubski <wk@ire.pw.edu.pl>
- initial package
- version 1.0.7
